Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::vrml97_space_parser Struct Reference

A Spirit space parser appropriate for use with VRML97 and VRML-encoded X3D. More...

`#include <openvrml/vrml97_grammar.h>`

List of all members.

## Public Types

typedef vrml97_space_parser | self_t
| Self type.

## Public Member Functions

template<typename CharT >
bool | test (const CharT &c) const
| Test for a match.

## Detailed Description

A Spirit space parser appropriate for use with VRML97 and VRML-encoded X3D.

## Member Typedef Documentation

openvrml::vrm97_space_parser openvrml::vrml97_space_parser::self_t

Self type.

## Member Function Documentation

template<typename CharT >

bool openvrml::vrml97_space_parser::test | ( | const CharT & | c | ) | const`[inline]`

Test for a match.

Parameters:

  `[in]` | c | a character.

Returns:
  `true` for whitespace characters or comma (“,”); `false` otherwise.